Subject: bug#4170 closed by Kenichi Handa <[email-masked]> (Re: bug#4170: 23.1.50; Crash with fontset-font)

From: [email-masked] (Emacs bug Tracking System)
Date: Thu, 20 Aug 2009 19:46:34 +0000

This is an automatic notification regarding your bug report
which was filed against the emacs package:

#4170: 23.1.50; Crash with fontset-font

It has been closed by Kenichi Handa <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Kenichi Handa <[email-masked]> by
replying to this email.

-- 
4170: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=4170
Emacs Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#4170: 23.1.50; Crash with fontset-font
From: Kenichi Handa <[email-masked]>
To: YAMAMOTO Mitsuharu <[email-masked]>, [email-masked]
Date: Tue, 18 Aug 2009 09:39:04 +0900

In article <[email-masked]>, YAMAMOTO Mitsuharu <[email-masked]> writes:

> Steps to reproduce:
>   1. emacs -Q
>   2. evaluate (set-fontset-font nil #xa0 nil) and (fontset-font nil #xa0)

> Then Emacs crashes.

Thank you for the report.  I've just installed a fix.

By the way, should I install the same fix for EMACS_23_1
branch?

---
Kenichi Handa
[email-masked]

Subject: 23.1.50; Crash with fontset-font
From: YAMAMOTO Mitsuharu <[email-masked]>
To: [email-masked]
Date: Mon, 17 Aug 2009 16:42:01 +0900

Steps to reproduce:

  1. emacs -Q
  2. evaluate (set-fontset-font nil #xa0 nil) and (fontset-font nil #xa0)

Then Emacs crashes.

With -DENABLE_CHECKING, I got the following assertion failure:

.../src/fontset.c:2118: Emacs fatal error: assertion failed: VECTORLIKEP((val))

2113		  for (j = 0; j < ASIZE (elt); j++)
2114		    {
2115		      Lisp_Object family, registry;
2116	
2117		      val = AREF (elt, j);
2118		      repertory = AREF (val, 1);
2119		      if (INTEGERP (repertory))
2120			{
2121			  struct charset *charset = CHARSET_FROM_ID (XINT (repertory));
2122	

				     YAMAMOTO Mitsuharu
				[email-masked]

In GNU Emacs 23.1.50.1 (i386-apple-darwin9.8.0, X toolkit)
 of 2009-08-17 on yamamoto-mitsuharu-no-mac-mini.local
Windowing system distributor `The X.Org Foundation', version 11.0.10402000
configured using `configure  '--with-x' '--without-gif' '--without-jpeg' '--without-tiff' 'CFLAGS=-g -Wno-pointer-sign -DENABLE_CHECKING''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: ja_JP.UTF-8
  value of $XMODIFIERS: nil
  locale-coding-system: utf-8-unix
  default-enable-multibyte-characters: t

Major mode: Fundamental

Minor modes in effect:
  tooltip-mode: t
  tool-bar-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  blink-cursor-mode: t
  global-auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t